## Class Auth_OpenID_AX_KeyValueMessage

Description

An abstract class that implements a message that has attribute keys and values. It contains the common code between fetch_response and store_request.

Located in /Auth/OpenID/AX.php (line 541)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_AX_Message
          |
          --Auth_OpenID_AX_KeyValueMessage

Direct descendents

Class | Description
--- | ---
Auth_OpenID_AX_FetchResponse | A fetch_response attribute exchange message.
Auth_OpenID_AX_StoreRequest | A store request attribute exchange message representation.

Method Summary
Auth_OpenID_AX_KeyValueMessage Auth_OpenID_AX_KeyValueMessage ()
null addValue (type_uri: $type_uri, value: $value)
int count (type_uri: $type_uri)
$values get (type_uri: $type_uri)
$value getSingle (type_uri: $type_uri, [default: $default = null])
Auth_OpenID_AX_Error parseExtensionArgs (ax_args: $ax_args)
void setValues (type_uri: $type_uri, values: &$values)
Variables

#### Inherited Variables

Inherited from Auth_OpenID_AX_Message

> Auth_OpenID_AX_Message::$mode
> Auth_OpenID_AX_Message::$ns_alias
> Auth_OpenID_AX_Message::$ns_uri

Methods
Constructor Auth_OpenID_AX_KeyValueMessage (line 543)
Auth_OpenID_AX_KeyValueMessage Auth_OpenID_AX_KeyValueMessage ()
addValue (line 559)

Add a single value for the given attribute type to the message. If there are already values specified for this type, this value will be sent in addition to the values already specified.

null addValue (type_uri: $type_uri, value: $value)

- type_uri: $type_uri: The URI for the attribute
- value: $value: The value to add to the response to the relying party for this attribute

count (line 775)

Get the number of responses for a particular attribute in this fetch_response message.

- return: The number of values sent for this attribute. If the attribute was not sent in the response, returns Auth_OpenID_AX_Error.

int count (type_uri: $type_uri)

- type_uri: $type_uri: The URI of the attribute

get (line 753)

Get the list of values for this attribute in the fetch_response.

XXX: what to do if the values are not present? default parameter? this is funny because it's always supposed to return a list, so the default may break that, though it's provided by the user's code, so it might be okay. If no default is supplied, should the return be None or []?

- return: The list of values for this attribute in the response. May be an empty list. If the attribute was not sent in the response, returns Auth_OpenID_AX_Error.

$values get (type_uri: $type_uri)

- type_uri: $type_uri: The URI of the attribute

getSingle (line 722)

Get a single value for an attribute. If no value was sent for this attribute, use the supplied default. If there is more than one value for this attribute, this method will fail.

- return: Auth_OpenID_AX_Error on failure or the value of the attribute in the fetch_response message, or the default supplied

$value getSingle (type_uri: $type_uri, [default: $default = null])

- type_uri: $type_uri: The URI for the attribute
- default: $default: The value to return if the attribute was not sent in the fetch_response.

parseExtensionArgs (line 621)

Parse attribute exchange key/value arguments into this object.

- return: or true

Auth_OpenID_AX_Error parseExtensionArgs (ax_args: $ax_args)

- ax_args: $ax_args: The attribute exchange fetch_response arguments, with namespacing removed.

Redefined in descendants as:

- Auth_OpenID_AX_FetchResponse::parseExtensionArgs()

setValues (line 576)

Set the values for the given attribute type. This replaces any values that have already been set for this attribute.

void setValues (type_uri: $type_uri, values: &$values)

- type_uri: $type_uri: The URI for the attribute
- values: &$values: A list of values to send for this attribute.

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:29 -0700 by phpDocumentor 1.3.2